Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Static Public Attributes | Protected Attributes
tlp::InteractorComponent Class Reference

Tulip interactor component main class. More...

`#include <InteractorComponent.h>`

Inheritance diagram for tlp::InteractorComponent:
[legend]
Collaboration diagram for tlp::InteractorComponent:
[legend]

List of all members.

## Public Types

- typedef unsigned int ID

## Public Member Functions

- InteractorComponent ()
    Default constructor.
- virtual ~InteractorComponent ()
- virtual bool compute (GlMainWidget *)
- virtual bool draw (GlMainWidget *)
- virtual void setView (View *view)
- View * getView ()
- virtual void undoIsDone ()
- virtual InteractorComponent * clone ()=0
- ID getID ()
- void setID (ID i)

## Static Public Attributes

- static const ID invalidID = 0

## Protected Attributes

- ID id
- View * view

## Detailed Description

Tulip interactor component main class.

## Member Typedef Documentation

typedef unsigned int tlp::InteractorComponent::ID

## Constructor & Destructor Documentation

tlp::InteractorComponent::InteractorComponent | ( |  | ) | `[inline]`

Default constructor.

virtual tlp::InteractorComponent::~InteractorComponent | ( |  | ) | `[inline, virtual]`

Default destructor

## Member Function Documentation

virtual InteractorComponent* tlp::InteractorComponent::clone | ( |  | ) | `[pure virtual]`

Clone this interactor component

Implemented in tlp::MouseBoxZoomer, tlp::MouseEdgeBendEditor, tlp::MouseEdgeBuilder, tlp::MouseEdgeSelector, tlp::MousePanNZoomNavigator, tlp::MouseElementDeleter, tlp::MouseNKeysNavigator, tlp::MouseNodeBuilder, tlp::MouseSelectionEditor, tlp::MouseSelector, and tlp::MouseShowElementInfos.

virtual bool tlp::InteractorComponent::compute | ( | GlMainWidget * |  | ) | `[inline, virtual]`

This function compute the interactor visual feedback

Reimplemented in tlp::MouseEdgeBendEditor, and tlp::MouseSelectionEditor.

virtual bool tlp::InteractorComponent::draw | ( | GlMainWidget * |  | ) | `[inline, virtual]`

This function draw interactor

Reimplemented in tlp::MouseBoxZoomer, tlp::MouseEdgeBendEditor, tlp::MouseEdgeBuilder, tlp::MouseEdgeSelector, tlp::MouseSelectionEditor, and tlp::MouseSelector.

ID tlp::InteractorComponent::getID | ( |  | ) | `[inline]`

Returns:
  the id of this interactor

View* tlp::InteractorComponent::getView | ( |  | ) | `[inline]`

Returns:
  the interactor connected view

void tlp::InteractorComponent::setID | ( | ID | i | ) | `[inline]`

Set the id of this interactor

virtual void tlp::InteractorComponent::setView | ( | View * | view | ) | `[inline, virtual]`

Set interactor connected view

virtual void tlp::InteractorComponent::undoIsDone | ( |  | ) | `[inline, virtual]`

This function is call when an undo is preform

## Member Data Documentation

ID tlp::InteractorComponent::id`[protected]`

const ID tlp::InteractorComponent::invalidID = 0`[static]`

View* tlp::InteractorComponent::view`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012